Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » UART » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_uart_irq_handler (uart_handle_t *p_uart)
| Handle UART interrupt request. More...
void | hal_uart_tx_cplt_callback (uart_handle_t *p_uart)
| Tx Transfer completed callback. More...
void | hal_uart_rx_cplt_callback (uart_handle_t *p_uart)
| Rx Transfer completed callback. More...
void | hal_uart_error_callback (uart_handle_t *p_uart)
| UART error callback. More...
void | hal_uart_abort_cplt_callback (uart_handle_t *p_uart)
| UART Abort Complete callback. More...
void | hal_uart_abort_tx_cplt_callback (uart_handle_t *p_uart)
| UART Abort Tansmit Complete callback. More...
void | hal_uart_abort_rx_cplt_callback (uart_handle_t *p_uart)
| UART Abort Receive Complete callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_uart_abort_cplt_callback()

void hal_uart_abort_cplt_callback | ( | uart_handle_t * | p_uart | ) |

UART Abort Complete callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_abort_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_abort_rx_cplt_callback()

void hal_uart_abort_rx_cplt_callback | ( | uart_handle_t * | p_uart | ) |

UART Abort Receive Complete callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_abort_rx_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_abort_tx_cplt_callback()

void hal_uart_abort_tx_cplt_callback | ( | uart_handle_t * | p_uart | ) |

UART Abort Tansmit Complete callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_abort_tx_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_error_callback()

void hal_uart_error_callback | ( | uart_handle_t * | p_uart | ) |

UART error callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_error_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_irq_handler()

void hal_uart_irq_handler | ( | uart_handle_t * | p_uart | ) |

Handle UART interrupt request.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_rx_cplt_callback()

void hal_uart_rx_cplt_callback | ( | uart_handle_t * | p_uart | ) |

Rx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_rx_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.

## ◆ hal_uart_tx_cplt_callback()

void hal_uart_tx_cplt_callback | ( | uart_handle_t * | p_uart | ) |

Tx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_uart_tx_cplt_callback can be implemented in the user file.

Parameters

  [in] | p_uart | Pointer to a UART handle which contains the configuration information for the specified UART module.